//---------------------------------------------------------------------------

#ifndef mainUnitH
#define mainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <AppEvnts.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------

enum {
	SKYPECONTROLAPI_ATTACH_SUCCESS=0,				// Client is successfully attached and API window handle can be found in wParam parameter
	SKYPECONTROLAPI_ATTACH_PENDING_AUTHORIZATION=1,	// Skype has acknowledged connection request and is waiting for confirmation from the user.																								// The client is not yet attached and should wait for SKYPECONTROLAPI_ATTACH_SUCCESS message
	SKYPECONTROLAPI_ATTACH_REFUSED=2,				// User has explicitly denied access to client
	SKYPECONTROLAPI_ATTACH_NOT_AVAILABLE=3,			// API is not available at the moment. For example, this happens when no user is currently logged in.																									// Client should wait for SKYPECONTROLAPI_ATTACH_API_AVAILABLE broadcast before making any further																							// connection attempts.
	SKYPECONTROLAPI_ATTACH_API_AVAILABLE=0x8001
};


class TfrmMain : public TForm
{
__published:	// IDE-managed Components
	TMemo *memoStatus;
	TPanel *Panel1;
	TButton *btnSkypeSend;
	TEdit *edCommand;
	TStatusBar *StatusBar;
	TMainMenu *MainMenu1;
	TMenuItem *Help1;
	TMenuItem *About1;
	void __fastcall btnSkypeSendClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall About1Click(TObject *Sender);
private:	// User declarations
	virtual void __fastcall WndProc(TMessage &Msg);
	DWORD WM_SkypeControlAPIDiscover;
	DWORD WM_SkypeControlAPIAttach;
	HWND HWND_SkypeAPIWindowHandle;
public:		// User declarations
	__fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
